package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.ModelImage;
import com.mcwl.resource.domain.ModelImageLike;
import com.mcwl.resource.domain.response.ResponseModelImage;
import com.mcwl.resource.domain.vo.PageVo;

import java.util.List;


public interface ModelImageLikeService extends IService<ModelImageLike> {

    void like(Long imageId);

    void setModelImageTop(Long id, boolean isTop);


    List<ModelImage> fetchModelImageSortedByTopStatus();

    /**
     * 分页查询
     * @param pageDomain 分页参数
     * @return 分页数据
     */
    TableDataInfo listByPage(PageDomain pageDomain);


    PageInfo<ResponseModelImage> imageList(PageVo pageVo);

}
